/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002-2003 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MESSAGE_TYPES_H
#define MESSAGE_TYPES_H

/**! TODO: The DEFAULT_SOURCE_CHARSET should be a runtime configurable 
 * option 
 */
#define DEFAULT_SOURCE_CHARSET "iso-8859-1"

/* Make sure message_headers[] is in sync with this enum */
typedef enum
  {
    XEP_MAIL_HEADER_ORIG_DATE,
    XEP_MAIL_HEADER_FROM,
    XEP_MAIL_HEADER_SENDER,
    XEP_MAIL_HEADER_REPLY_TO,
    XEP_MAIL_HEADER_TO,
    XEP_MAIL_HEADER_CC,
    XEP_MAIL_HEADER_BCC,
    XEP_MAIL_HEADER_MESSAGE_ID,
    XEP_MAIL_HEADER_IN_REPLY_TO,
    XEP_MAIL_HEADER_REFERENCES,
    XEP_MAIL_HEADER_SUBJECT,
    XEP_MAIL_HEADER_COMMENTS,
    XEP_MAIL_HEADER_KEYWORDS,
    XEP_MAIL_HEADER_OTHER    /* Sentinel: XEP_MAIL_HEADER_OTHER must 
			      * be the last
			      */
  } XePMessageHeaderType;

typedef struct XePMessageHeader_s XePMessageHeader;

struct XePMessageHeader_s
{
  XePMessageHeaderType type;
  const char *name;
  int ep_type;
};

typedef struct XePMessage_s XePMessage; /* Defined in message.h */


extern XePMessageHeader message_headers[];

#endif
